Page MenuHomePhabricator

'resources/screen.less : Stylesheets should not both specify "media" and contain @media
Closed, ResolvedPublic

Description

1) ResourcesTest::testStyleMedia with data set #17 ('skins.splash', 'screen', 'resources/screen.less', stdClass Object (...))
Stylesheets should not both specify "media" and contain @media
Failed asserting that false is true.
skin.json
{
    "ResourceModules": {
        "skins.splash": {
            "styles": {
                "resources/normalise.css": {
                    "media": "screen"
                },
                "resources/screen.less": {
                    "media": "screen"
                }
            }
        }
    },
}

And there is min-width media rule:

resources/screen.less
/* Account creation tweaks */
@media (min-width: 900px) {
	.mw-ui-container #userloginForm {
		max-width: 500px;
		margin-right: 1em;
	}
}

Details

Related Gerrit Patches:
mediawiki/skins/Splash : masterMove @media rule to a specific file
integration/config : masterMigrate Splash, Tempo, Truglass to Quibble

Event Timeline

hashar created this task.Apr 30 2018, 3:18 PM
Vvjjkkii renamed this task from 'resources/screen.less : Stylesheets should not both specify "media" and contain @media to 1ydaaaaaaa.Jul 1 2018, 1:13 AM
Vvjjkkii triaged this task as High priority.
Vvjjkkii updated the task description. (Show Details)
CommunityTechBot renamed this task from 1ydaaaaaaa to 'resources/screen.less : Stylesheets should not both specify "media" and contain @media.Jul 2 2018, 4:31 PM
CommunityTechBot raised the priority of this task from High to Needs Triage.
CommunityTechBot updated the task description. (Show Details)
hashar updated the task description. (Show Details)Jul 10 2018, 8:42 AM

Change 444815 had a related patch set uploaded (by Hashar; owner: Hashar):
[mediawiki/skins/Splash@master] Move @media rule to a specific file

https://gerrit.wikimedia.org/r/444815

hashar claimed this task.Jul 10 2018, 9:13 AM

Change 444831 had a related patch set uploaded (by Hashar; owner: Hashar):
[integration/config@master] Migrate Splash, Tempo, Truglass to Quibble

https://gerrit.wikimedia.org/r/444831

Change 444831 merged by jenkins-bot:
[integration/config@master] Migrate Splash, Tempo, Truglass to Quibble

https://gerrit.wikimedia.org/r/444831

Change 444815 merged by jenkins-bot:
[mediawiki/skins/Splash@master] Move @media rule to a specific file

https://gerrit.wikimedia.org/r/444815

hashar closed this task as Resolved.Jul 10 2018, 9:30 PM